<?php

/************************************************
*                                               *
*  TSstatistics                                 *
*                                               *
*  by Thomas Schuster                           *
*  http://www.TSinter.net                       *
*                                               *
*  file: admin.php                              *
*  version: 2.6                                 *
*  license: GNU General Public License          *
*  created: 15.04.2002                          *
*  email: admin@TSinter.net                     *
*                                               *
*                                               *
*  Object oriented traffic analyser. Needs no   *
*  database. Tracks the visitors of a website.  *
*  Filters out over 100 robots. Reload restric- *
*  tion. Displays hits per hour/day/month,      *
*  various toplists, all graphical. Auto back-  *
*  up. Administration center.                   *
*                                               *
*  Copyright (c) 2001-2002 TSinter.net          *
*  All rights reserved.                         *
*                                               *
************************************************/


//----------------------------------------//
// Specify the relative path to the       //
// script directory.                      //
// (ex. "/include/scripts/TSstatistics/") //
//----------------------------------------//
$script_path = "";

//-----------------------------------------------//
// If your server runs Microsoft IIS or if       //
// your server uses virtual mapping, you         //
// have to specify the real document_root.       //
//                                               //
// If you are not sure about your server         //
// configuration, upload the check_path.php      //
// to the root directory of your website         //
// (ex. "http://www.my-site.com/check_path.php") //
// and call it in your webbrowser.               //
//-----------------------------------------------//
//$DOCUMENT_ROOT = "";
$url_root = "";



//-------------------------------//
// Do not change anything below! //
//-------------------------------//
include($DOCUMENT_ROOT.$script_path."config.php");

$statistics->_displayCSS($url_root.$script_path);
$statistics->_definePopUpWindow();

if (isset($action) && !strcmp($action, "logout"))
  session_unregister("logged_in");


if (isset($login) && $login) {
  # Somebody has pressed the login button.
  if (($password != "") && ($name != ""))
    $message = $statistics->_login($name, $password);
  else $message = "name und/oder passwort fehlen";
}

if (session_is_registered("logged_in")) {

  if (isset($action)) {

    switch ($action) {

      case "manualBackup":
        # Admin wants to make a backup of all datafiles.
        $message = $statistics->_manualBackup();
        break;
      case "restoreBackup":
        # Admin wants to restore data from backup files.
        $message = $statistics->_restoreBackup();
        break;

    }

  }


  ?>

  <table class="statisticsAdmin">
    <tr>
      <td class="statisticsAdminHeadline">
        TSstatistics &raquo; Administration Center
      </td>
    </tr>
    <tr>
      <td class="statisticsAdminMessage">

        <?php if (isset($message)) echo($message); ?>

      </td>
    </tr>
    <tr>
      <td class="statisticsAdminMain">

        <?php

        echo($statistics->string["admin"]["time_current"].' '.$statistics->_getFormatedTime(time(), "minute"));
        echo('<br />');
        echo($statistics->string["admin"]["time_backup"].' '.$statistics->_getTimeOfLastBackup());
        echo('<br />');

        echo('<br />');

        echo('<a href="'.$PHP_SELF.'?action=logout">Logout</a><br />');

        echo('<br />');

        echo('<a href="'.$PHP_SELF.'?action=manualBackup">');
        echo('  '.$statistics->string["admin"]["manual_backup"]);
        echo('</a><br />');

        echo('<a href="'.$PHP_SELF.'?action=restoreBackup">');
        echo('  '.$statistics->string["admin"]["restore"]);
        echo('</a><br />');

        echo('<br />');

        echo($statistics->string["admin"]["see_tracks"].'<br />');
        
        $user_tracks = $statistics->_getListOfLogfiles("track");

        for ($i = 0; $i < sizeof($user_tracks); $i++) {
          echo('<a href="#" onClick="popup(');
          echo("'http://".$statistics->my_host.$statistics->url_path.'tracking.php');
          echo('?track_data='.$user_tracks[$i]["name"]."', 'UserTrack', 550, 600); return false\">");
          echo('  '.$user_tracks[$i]["name"]);
          echo('</a>');
          echo(' ('.$user_tracks[$i]["size"].' kb)<br />');
        }

        ?>

        <br />
      </td>
    </tr>
    <tr>
      <td class="statisticsAdminFooter">
        <a href="http://php.TSinter.net/statistics/index.php" target="_blank">TSstatistics</a>&trade; 
        &copy; 2001-2002 
        <a href="http://www.TSinter.net" target="_blank">TSinter.net</a>
      </td>
    </tr>
  </table>

  <?php

}

else {

  ?>
  <form name="form1" method="post" action="<?php echo($PHP_SELF); ?>">
    <table class="statisticsAdminLogin">
      <tr>
        <td class="statisticsAdminHeadline" colspan="2">
          TSstatistics &raquo; Administration Center &raquo; Login
        </td>
      <tr>
        <td class="statisticsAdminMessage" colspan="2">
          <?php if (isset($message)) echo($message); ?>
        </td>
      </tr>
      <tr>
        <td class="statisticsAdminLoginRight">
          Name:
        </td>
        <td class="statisticsAdminLoginLeft"> 
          <input class="statisticsAdminLoginLeft" type="text" name="name">
        </td>
      </tr>
      <tr>
        <td class="statisticsAdminLoginRight">
          <?php echo($statistics->string["admin"]["password"]); ?>:
        </td>
        <td class="statisticsAdminLoginLeft"> 
          <input class="statisticsAdminLoginLeft" type="password" name="password">
        </td>
      </tr>
      <tr>
        <td class="statisticsAdminLoginRight">
          &nbsp;
        </td>
        <td class="statisticsAdminLoginLeft"> 
          <input class="statisticsAdminLoginSubmit" type="submit" name="login" value="Login">
        </td>
      </tr>
      <tr>
        <td class="statisticsAdminFooter" colspan="2">
          <a href="http://php.TSinter.net/statistics/index.php" target="_blank">
            TSstatistics
          </a>
          &trade; &copy; 2001-2002 
          <a href="http://www.TSinter.net" target="_blank">TSinter.net</a>
        </td>
      </tr>
    </table>
  </form>

  <?php
}

?>