<?php


/************************************************
*                                               *
*  TSstatistics                                 *
*                                               *
*  by Thomas Schuster                           *
*  http://www.TSinter.net                       *
*                                               *
*  file: demo.php                               *
*  version: 2.6                                 *
*  license: GNU General Public License          *
*  created: 15.04.2002                          *
*  email: admin@TSinter.net                     *
*                                               *
*                                               *
*  Object oriented traffic analyser. Needs no   *
*  database. Tracks the visitors of a website.  *
*  Filters out over 100 robots. Reload restric- *
*  tion. Displays hits per hour/day/month,      *
*  various toplists, all graphical. Auto back-  *
*  up. Administration center.                   *
*                                               *
*  Copyright (c) 2001-2002 TSinter.net          *
*  All rights reserved.                         *
*                                               *
************************************************/


//----------------------------------------//
// Specify the relative path to the       //
// script directory.                      //
// (ex. "/include/scripts/TSstatistics/") //
//----------------------------------------//
$script_path = "";

//-----------------------------------------------//
// If your server runs Microsoft IIS or if       //
// your server uses virtual mapping, you         //
// have to specify the real document_root.       //
//                                               //
// If you are not sure about your server         //
// configuration, upload the check_path.php      //
// to the root directory of your website         //
// (ex. "http://www.my-site.com/check_path.php") //
// and call it in your webbrowser.               //
//-----------------------------------------------//
//$DOCUMENT_ROOT = "";
$url_root = "";


//-------------------------------//
// Do not change anything below! //
//-------------------------------//
include($DOCUMENT_ROOT.$script_path."config.php");


$statistics->_defineJumpMenu();
$statistics->_definePopUpWindow();

$statistics->_displayCSS($url_root.$script_path);


if (!isset($mode))
  $mode = "normal";


if (!isset($time_period))
  $time_period = "month_".date("n")."_".date("Y");

// output
switch ($mode) {
  case "normal":

    echo('<table class="statisticsLayout">');

    /* start overview */
    echo('  <tr>');
    echo('    <td class="statisticsLayout" colspan="2">');
    echo('      <table class="statisticsOverview">');
    echo('        <tr>');
    echo('          <td class="statisticsOverviewLayout">');

    $statistics->_displayOverview();

    $array = $statistics->_getListOfLogfiles("month");
      for ($i = 0; $i < sizeof($array); $i++) {
        if ($statistics->_checkMinimumVersion("4.1.0"))
          $array[$i]["link"] = basename($array[$i]["name"], ".log");
        else {
          $array[$i]["link"] = basename($array[$i]["name"]);
          $array[$i]["link"] = substr($array[$i]["link"], 0, -4);
        }
      $time = explode("_", $array[$i]["link"]);
        $month = $time[1];
        $year = $time[2];
      $array[$i]["name"] = $month."/".$year;
    }
    echo($statistics->string["overview"]["choose"]);
    $statistics->_displayJumpMenu($month."/".$year, $array, "time_period");

    echo('          </td>');
    echo('          <td class="statisticsCopyrightLayout">');
    echo('            Webstatistics powered by'); 
    echo('            <a href="http://www.TSinter.net/source/statistics/index.xml" target="_blank">');
    echo('              TSstatistics');
    echo('            </a><br />');
    echo('            &copy; 2001-2002 <a href="http://www.TSinter.net" target="_blank">TSinter.net</a>');
    echo('          </td>');
    echo('        </tr>');
    echo('      </table>');
    echo('    </td>');
    echo('  </tr>');
    /* end overview */


    /* start traffic statistics */
    echo('  <tr>');
    echo('    <td class="statisticsTrafficLayout" colspan="2">');

    $statistics->_displayTrafficStatistics("month", $time_period);
    $statistics->_displayTrafficStatistics("hour", $time_period);
    $statistics->_displayTrafficStatistics("year", $time_period);

    echo('    </td>');
    echo('  </tr>');
    /* end traffic statistics */

    
    /* start toplists */
    echo('  <tr>');
    echo('    <td class="statisticsToplistLayout">');

    $statistics->_displayTopList($time_period, "impression", 5);

    echo('    </td>');
    echo('    <td class="statisticsToplistLayout">');

    $statistics->_displayTopList($time_period, "entry_page", 5);

    echo('    </td>');
    echo('  </tr>');
    echo('  <tr>');
    echo('    <td class="statisticsToplistLayout">');

    $statistics->_displayTopList($time_period, "referer", 5);

    echo('    </td>');
    echo('    <td class="statisticsToplistLayout">');

    $statistics->_displayTopList($time_period, "spider", 5);

    echo('    </td>');
    echo('  </tr>');
    echo('  <tr>');
    echo('    <td class="statisticsToplistLayout">');

    $statistics->_displayTopList($time_period, "search_engine", 5);

    echo('    </td>');
    echo('    <td class="statisticsToplistLayout">');

    $statistics->_displayTopList($time_period, "search_query", 5);

    echo('    </td>');
    echo('  </tr>');
    echo('  <tr>');
    echo('    <td class="statisticsToplistLayout">');

    $statistics->_displayTopList($time_period, "os", 5);

    echo('    </td>');
    echo('    <td class="statisticsToplistLayout">');

    $statistics->_displayTopList($time_period, "browser", 5);

    echo('    </td>');
    echo('  </tr>');
    echo('  <tr>');
    echo('    <td class="statisticsToplistLayout" colspan="2">');

    $statistics->_displayTopList($time_period, "top_level_domain", 5);

    echo('    </td>');
    echo('  </tr>');
    /* end toplists */


    echo('</table>');

    break;
}


?>